ESign Docs
Api referenceApiV1Webhooks

/api/v1/webhooks

POST
/api/v1/webhooks

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Authorization: Bearer esk_...

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/webhooks" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com",    "events": [      "document.sent"    ]  }'
{  "id": "string",  "url": "string",  "events": [    "string"  ],  "enabled": true,  "secret": "string",  "createdAt": "string"}
{  "error": {    "code": "not_found",    "message": "Document not found"  }}
{  "error": {    "code": "not_found",    "message": "Document not found"  }}